net.sf.jasperreports.j2ee.servlets

## Class PptxServlet

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - net.sf.jasperreports.j2ee.servlets.BaseHttpServlet
      - - net.sf.jasperreports.j2ee.servlets.PptxServlet

- All Implemented Interfaces:
    java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

      public class PptxServlet
      extends BaseHttpServlet

  Version:
    $Id: PptxServlet.java 6727 2013-11-11 13:17:30Z teodord $
  Author:
    Narcis Marcu (narcism@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class net.sf.jasperreports.j2ee.servlets.BaseHttpServlet

      `BUFFERED_OUTPUT_REQUEST_PARAMETER, DEFAULT_JASPER_PRINT_LIST_SESSION_ATTRIBUTE, DEFAULT_JASPER_PRINT_SESSION_ATTRIBUTE, JASPER_PRINT_LIST_REQUEST_PARAMETER, JASPER_PRINT_REQUEST_PARAMETER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PptxServlet()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `service(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`

    - ### Methods inherited from class net.sf.jasperreports.j2ee.servlets.BaseHttpServlet

      `getJasperPrintList, getJasperReportsContext`

    - ### Methods inherited from class javax.servlet.http.HttpServlet

      `doDelete, doGet, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service`

    - ### Methods inherited from class javax.servlet.GenericServlet

      `destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PptxServlet

          public PptxServlet()

  - ### Method Detail

    - #### service

          public void service(javax.servlet.http.HttpServletRequest request,
                     javax.servlet.http.HttpServletResponse response)
                       throws java.io.IOException,
                              javax.servlet.ServletException

      Overrides:
        `service` in class `javax.servlet.http.HttpServlet`
      Throws:
        `java.io.IOException`
        `javax.servlet.ServletException`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com